ParameterMetaData (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.sql
Interface ParameterMetaData

public interface ParameterMetaData

An object that can be used to get information about the types and properties of the parameters in a `PreparedStatement` object.

Since:
  1.4

Field Summary
`static int` | `parameterModeIn` The constant indicating that the parameter's mode is IN.
`static int` | `parameterModeInOut` The constant indicating that the parameter's mode is INOUT.
`static int` | `parameterModeOut` The constant indicating that the parameter's mode is OUT.
`static int` | `parameterModeUnknown` The constant indicating that the mode of the parameter is unknown.
`static int` | `parameterNoNulls` The constant indicating that a parameter will not allow `NULL` values.
`static int` | `parameterNullable` The constant indicating that a parameter will allow `NULL` values.
`static int` | `parameterNullableUnknown` The constant indicating that the nullability of a parameter is unknown.

Method Summary
`String` | `getParameterClassName(int param)` Retrieves the fully-qualified name of the Java class whose instances should be passed to the method `PreparedStatement.setObject`.
`int` | `getParameterCount()` Retrieves the number of parameters in the `PreparedStatement` object for which this `ParameterMetaData` object contains information.
`int` | `getParameterMode(int param)` Retrieves the designated parameter's mode.
`int` | `getParameterType(int param)` Retrieves the designated parameter's SQL type.
`String` | `getParameterTypeName(int param)` Retrieves the designated parameter's database-specific type name.
`int` | `getPrecision(int param)` Retrieves the designated parameter's number of decimal digits.
`int` | `getScale(int param)` Retrieves the designated parameter's number of digits to right of the decimal point.
`int` | `isNullable(int param)` Retrieves whether null values are allowed in the designated parameter.
`boolean` | `isSigned(int param)` Retrieves whether values for the designated parameter can be signed numbers.

Field Detail

### parameterNoNulls

    public static final int parameterNoNulls

  The constant indicating that a parameter will not allow `NULL` values.

  See Also:
    Constant Field Values

### parameterNullable

    public static final int parameterNullable

  The constant indicating that a parameter will allow `NULL` values.

  See Also:
    Constant Field Values

### parameterNullableUnknown

    public static final int parameterNullableUnknown

  The constant indicating that the nullability of a parameter is unknown.

  See Also:
    Constant Field Values

### parameterModeUnknown

    public static final int parameterModeUnknown

  The constant indicating that the mode of the parameter is unknown.

  See Also:
    Constant Field Values

### parameterModeIn

    public static final int parameterModeIn

  The constant indicating that the parameter's mode is IN.

  See Also:
    Constant Field Values

### parameterModeInOut

    public static final int parameterModeInOut

  The constant indicating that the parameter's mode is INOUT.

  See Also:
    Constant Field Values

### parameterModeOut

    public static final int parameterModeOut

  The constant indicating that the parameter's mode is OUT.

  See Also:
    Constant Field Values

Method Detail

### getParameterCount

    public int getParameterCount()
                          throws SQLException

  Retrieves the number of parameters in the `PreparedStatement` object for which this `ParameterMetaData` object contains information.

  Returns:
    the number of parameters
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4

### isNullable

    public int isNullable(int param)
                   throws SQLException

  Retrieves whether null values are allowed in the designated parameter.

  Parameters:
    `param` - the first parameter is 1, the second is 2, ...
  Returns:
    the nullability status of the given parameter; one of `ParameterMetaData.parameterNoNulls`, `ParameterMetaData.parameterNullable`, or `ParameterMetaData.parameterNullableUnknown`
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4

### isSigned

    public boolean isSigned(int param)
                     throws SQLException

  Retrieves whether values for the designated parameter can be signed numbers.

  Parameters:
    `param` - the first parameter is 1, the second is 2, ...
  Returns:
    `true` if so; `false` otherwise
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4

### getPrecision

    public int getPrecision(int param)
                     throws SQLException

  Retrieves the designated parameter's number of decimal digits.

  Parameters:
    `param` - the first parameter is 1, the second is 2, ...
  Returns:
    precision
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4

### getScale

    public int getScale(int param)
                 throws SQLException

  Retrieves the designated parameter's number of digits to right of the decimal point.

  Parameters:
    `param` - the first parameter is 1, the second is 2, ...
  Returns:
    scale
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4

### getParameterType

    public int getParameterType(int param)
                         throws SQLException

  Retrieves the designated parameter's SQL type.

  Parameters:
    `param` - the first parameter is 1, the second is 2, ...
  Returns:
    SQL type from `java.sql.Types`
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4
  See Also:
    `Types`

### getParameterTypeName

    public String getParameterTypeName(int param)
                                throws SQLException

  Retrieves the designated parameter's database-specific type name.

  Parameters:
    `param` - the first parameter is 1, the second is 2, ...
  Returns:
    type the name used by the database. If the parameter type is a user-defined type, then a fully-qualified type name is returned.
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4

### getParameterClassName

    public String getParameterClassName(int param)
                                 throws SQLException

  Retrieves the fully-qualified name of the Java class whose instances should be passed to the method `PreparedStatement.setObject`.

  Parameters:
    `param` - the first parameter is 1, the second is 2, ...
  Returns:
    the fully-qualified name of the class in the Java programming language that would be used by the method `PreparedStatement.setObject` to set the value in the specified parameter. This is the class name used for custom mapping.
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4

### getParameterMode

    public int getParameterMode(int param)
                         throws SQLException

  Retrieves the designated parameter's mode.

  Parameters:
    `param` - the first parameter is 1, the second is 2, ...
  Returns:
    mode of the parameter; one of `ParameterMetaData.parameterModeIn`, `ParameterMetaData.parameterModeOut`, or `ParameterMetaData.parameterModeInOut` `ParameterMetaData.parameterModeUnknown`.
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.